Skip to main content
POST
/
v3
/
generate
/
outline
/
instructions
Generate Text Outline Instructions
curl --request POST \
  --url https://api.flashdocs.ai/v3/generate/outline/instructions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "In a few slides, describe the recent Innovations in Renewable Energy. Discuss the foundational problems and key papers. Include specific examples.",
  "number_slides": 5
}
'
[
  {
    "content_instruction": "Introduce the topic of renewable energy and its importance.",
    "layout_instruction": "Title slide with a background image."
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
prompt
string
required

The main (ideally information-dense) instructions for how to create the slide(s). Can be ~400,000 characters.

Example:

"In a few slides, describe the recent Innovations in Renewable Energy. Discuss the foundational problems and key papers. Include specific examples."

number_slides
integer | null

Optional.The desired number of slides in the generated presentation. If not provided, the system will automatically predict the number of slides from the prompt.

Example:

5

Response

Successful Response

content_instruction
string | null

Optional. Instruction for the content of the slide.

Example:

"Introduce the topic of renewable energy and its importance."

layout_instruction
string | null

Optional. Instruction for the layout/design of the slide. Can only provide 1 of layout_instruction OR slide_id.

Example:

"Title slide with a background image."